%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary: A library to bind RPM constant values
Name: rpmconstant
Version: 0.1.4
Release: %mkrel 6
Source0: http://rpm4.zarb.org/download/%{name}-%{version}.tar.gz
License: LGPLv2.1
Group: Development/C
Url: http://rpm4.zarb.org/
BuildRequires: popt-devel 
BuildRequires: rpm-devel

%description
This library provides basic functions to map internal RPM constant values
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %libname
Summary: A library to bind rpm constant
Group: Development/C
Provides: lib%{name} = %version-%release

%description -n %libname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %develname
Summary: Development files from librpmconstant
Group: Development/C
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Requires: %libname = %version-%release
Obsoletes: %mklibname rpmconstant 0 -d

%description -n %develname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

You need this package to build applications using librpmconstant.

%prep
%setup -q

%build
mv rpmconstanttbl.c rpmconstanttbl.c.old # Ensure this file is regenated
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog README
%_bindir/%name

%files -n %libname
%_libdir/lib%name.so.%{major}
%_libdir/lib%name.so.%{major}.*

%files -n %develname
%doc constant.c AUTHORS ChangeLog README
%_includedir/%name/%name.h
%_libdir/lib%name.so


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-6.mga5
+ Revision: 739145
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-5.mga5
+ Revision: 688707
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-4.mga4
+ Revision: 518153
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 380459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 0.1.4-2.mga3
+ Revision: 332403
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 0.1.4-1.mga3
+ Revision: 332397
- BR rpm-devel
- rebuild for new rpm
- drop merged patch
- add support for rpm-4.8 - 4.11
- fix segfaulting with rpm-4.11 retrieving RPMLOG_*
- rebuild for new rpm

  + fwang <fwang>
    - tighten br to popt
    - drop .la file

* Sat Apr 30 2011 misc <misc> 0.1.3-9.mga1
+ Revision: 93922
- increase release to match the one of mandriva
- fix website

* Mon Jan 17 2011 nanardon <nanardon> 0.1.3-6.mga1
+ Revision: 20795
- kill compatibility pre/post for old distro
- imported package rpmconstant


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-6mdv2010.0
+ Revision: 426961
- rebuild
- Replace obsolete %%configure with %%configure2_5x (fixes libtool problems)

* Tue Jan 20 2009 Pixel <pixel@mandriva.com> 0.1.3-5mdv2009.1
+ Revision: 331803
- adapt to librpm4.6

* Fri Jul 11 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-4mdv2009.0
+ Revision: 233632
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 74995
- 0.1.3

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for 2008
    - spec clean
    - new devel policy


* Sun Jun 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.2-1mdv2007.0
- 0.1.2

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-4mdk
- rebuild for rpm

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-3mdk
- cleanup changelog suckage

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-1mdk
- 0.1.1
- update url

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.5-2mdk
- rebuild for rpm4.4

* Sat Apr 16 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Mar 06 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.4-2mdk
- use %%mkrel

* Wed Feb 16 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.4-1mdk
- 0.0.4

* Fri Feb 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.3-1mdk
- 0.0.3

* Mon Feb 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.2-1mdk
- 0.0.2

* Sun Feb 06 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.1-1mdk
- First mdk spec

